package com.persagy.revit.backstage.model

import com.persagy.revit.models.jsonAnalyzer.Point
import com.alibaba.fastjson.annotation.JSONField

/**
 *
 *
 * @author jxing
 */
class DCISpace : DCDataBase(){

//    @JSONField(name = "BIMID")
//    var bimId : String? = null

    @JSONField(name = "RoomID")
    var id : String? = null

    @JSONField(name = "BimLocation")
    var bimLocation : String? = null

    @JSONField(name = "RoomLocalName")
    var localName : String? = null

    @JSONField(name = "FloorId")
    var floorId: String? = null

    @JSONField(name = "Height")
    var height: Double? = null

    @JSONField(name = "Outline")
    var outline: ArrayList<ArrayList<Point>>? = null

    @JSONField(name = "Outline2")
    var outerOutline: ArrayList<ArrayList<Point>>? = null

    @JSONField(name = "CADID")
    var cadId: String? = null

    @JSONField(name = "ModelId")
    var modelId: String? = null

    /** 建筑id */
    @JSONField(name = "BuildingId")
    var buildingId: String? = null

    @JSONField(name = "CustomParam")
    var customParam : HashMap<String, Any?>? = null
}